Name: Zope-Hotfix
Summary: Zope security hotfix product
Version: 06_16_2000
Release: 1
Group: Applications/Internet
License: Zope Public License (ZPL)
Source: http://www.zope.org/Products/Zope/Hotfix_06_16_2000/Hotfix_%{version}.tgz
URL: http://www.zope.org
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
This hotfix fixes issues with an inadequately protected method in one of the
base classes in the DocumentTemplate package that could allow the contents of
DTMLDocuments or DTMLMethods to be changed remotely or through DTML code
without forcing proper user authorization. 

You must update Zope to the Zope-2.1.2-5.src.rpm to use this hotfix.

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/Zope/lib/python/Products/Hotfix_%{version}

install lib/python/Products/Hotfix_%{version}/__init__.py $RPM_BUILD_ROOT%{_datadir}/Zope/lib/python/Products/Hotfix_%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc lib/python/Products/Hotfix_%{version}/README.txt
%{_datadir}/Zope/lib/python/Products/Hotfix_06_16_2000

%changelog
* Thu Jun 22 2000 Tim Powers <timp@redhat.com>
- created package to fix vulnerability discussed at
  http://www.zope.org/Products/Zope/Hotfix_06_16_2000/security_alert

